import os
from docx2pdf import convert

def convert_to_pdf(docx_file):
    pdf_file = docx_file.replace(".docx", ".pdf")
    convert(docx_file, pdf_file)
    print(f"{docx_file} 已转换为 PDF：{pdf_file}")

def batch_convert_to_pdf(directory):
    for filename in os.listdir(directory):
        if filename.endswith(".docx"):
            file_path = os.path.join(directory, filename)
            convert_to_pdf(file_path)

# 指定包含 Word 文档的目录
directory_path = "D:/users/Desktop/备战2023年中考物理一轮复习考点帮（全国通用）/备战2023年中考物理一轮复习考点帮（全国通用）"

# 批量将目录下的所有 Word 文档转换为 PDF
batch_convert_to_pdf(directory_path)

